Add Contact Channel

POST
https://reloop.sh/api/contacts/channel/:channel_id

Path Parameters

channel_idstringRequired

Channel ID

Body Parameters

contact_idstring

Contact ID

emailstring

Contact email address

subscription"opt_in""opt_out"

Possible values: opt_in | opt_out

import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response, error } = await reloop.contacts.channels.addContact("chn_123456789", {
  contact_id: "con_123456789",
  subscription: "opt_in",
});
if (error) throw error;
{
  "contact": {
    "object": "contact",
    "id": "con_123456789",
    "email": "john.doe@example.com",
    "firstName": "John",
    "lastName": "Doe",
    "status": "subscribed",
    "properties": {
      "company": "Reloop",
      "role": "Developer"
    },
    "groups": [
      {
        "id": "grp_123456789",
        "name": "Beta Testers"
      }
    ],
    "channels": [
      {
        "id": "channel_123456789",
        "name": "Newsletter",
        "subscription": "opt_in"
      }
    ],
    "suppressionReason": null,
    "suppressedAt": null,
    "createdAt": "2026-03-23T10:00:00.000Z",
    "updatedAt": "2026-03-23T10:00:00.000Z",
    "event": "evt_123456789"
  },
  "subscriptionId": "example_subscriptionId",
  "event": "evt_123456789"
}

Was this page helpful?

Edit this page